StandaloneCodecLookup (Grails 4.0.2)
Date: 2020-02-21

Package: org.grails.encoder.impl

## [Groovy] Class StandaloneCodecLookup

- org.grails.encoder.impl.StandaloneCodecLookup

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BasicCodecLookup` | `NONE_ENCODER, decoders, encoders`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `cacheLookupsInMetaMethods`
    `java.util.Collection<java.lang.Class>` | `codecFactoryClasses`
    `boolean` | `registerMetaMethods`
    `java.util.Collection<java.lang.Class>` | `targetClassesForMetaMethods`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `registerCodecFactory(CodecFactory codecFactory)`
    `` | `protected void` | `registerCodecs()`
    `` | `protected java.lang.Object` | `registerMetaMethods(CodecFactory codecFactory)`
    `` | `protected java.util.List<groovy.lang.ExpandoMetaClass>` | `resolveMetaClasses()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasicCodecLookup` | `afterPropertiesSet, createChainedCodecInstance, createCodec, createNameVariations, lookupCodec, lookupDecoder, lookupEncoder, putChainedCodecInstance, reInitialize, registerCodecFactory, registerCodecs, registerDecoder, registerEncoder, registerVariationsOfName, registerWithNameVaritions`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### boolean cacheLookupsInMetaMethods

    - #### java.util.Collection<java.lang.Class> codecFactoryClasses

    - #### boolean registerMetaMethods

    - #### java.util.Collection<java.lang.Class> targetClassesForMetaMethods

  - ### Method Detail

    - #### @java.lang.Override void registerCodecFactory(CodecFactory codecFactory)

    - #### @java.lang.Override protected void registerCodecs()

    - #### protected java.lang.Object registerMetaMethods(CodecFactory codecFactory)

    - #### protected java.util.List<groovy.lang.ExpandoMetaClass> resolveMetaClasses()